Uploaded image for project: 'Razor'
  1. Razor
  2. RAZOR-278

razor-client 0.15.0 should yield a friendly message when using older versions of razor-server

    XMLWordPrintable

Details

    • Bug
    • Status: Closed
    • Normal
    • Resolution: Fixed
    • RAZOR 0.15.0
    • RAZOR 0.15.1
    • Client
    • None

    Description

      razor-client 0.15.0 issues a GET against the /api/commands/$command_name endpoint to get the expected format for each parameter. This works fine for matching razor-server 0.15.0, but will fail with a 404 in older versions of razor-server. This should instead state the desired error message of: "Server must supply the expected datatypes for command arguments"

      Attachments

        Issue Links

          Activity

            People

              scott.mcclellan Scott McClellan
              scott.mcclellan Scott McClellan
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved:

                Zendesk Support